Hello,

I attempted at compiling SOAP into my PHP installation and have not been successful.

After putting the “soap” folder into PHP’s source “ext” directory, I ran ./buildconf and got the following:

 

buildconf: checking installation...

buildconf: autoconf version 2.50 (ok)

buildconf: automake version 1.4-p4 (ok)

buildconf: libtool version 1.4 (ok)

rebuilding Makefile templates

aclocal.m4: 1353: `AM_PROG_INSTALL' is obsolete; use `AC_PROG_INSTALL'

aclocal.m4: 1354: `AM_PROG_INSTALL' is obsolete; use `AC_PROG_INSTALL'

aclocal.m4: 1507: `AM_PROG_INSTALL' is obsolete; use `AC_PROG_INSTALL'

automake: configure.in: installing `Zend/ylwrap'

rebuilding configure

rebuilding main/php_config.h.in

 

Seems to have gone through ok without problems, then I ran ./configure:

 

./configure --with-mysql --with-gd=/usr/local/lib/gd --with-freetype-dir=/usr/local --with-zlib-dir=/usr/local/lib --with-png-dir=/usr/local/lib --with-jpeg-dir=/usr/local/include --enable-sockets --prefix=/usr/local/php-4.2.0 --with-apxs=/usr/local/apache/bin/apxs --with-pgsql --enable-gd-native-ttf --with-jpeg-dir=/usr/local/lib/jpeg-6b --enable-gd-imgstrttf --enable-soap

 

Everything seems to go ok, however, when I run “make” I get this:

 

make: *** No targets specified and no makefile found.  Stop.

 

Once, however, I was able to get it to compile, but it would find the object when I tried to create it.

 

Regards,

 

Serge Stepanov

Enterprise Architect & CTO

VisualCafé Studios